### Class

# Gcr CertificateExtensionBasicConstraints

unstable since: 4.3.90

#### Description [src]

    final class Gcr.CertificateExtensionBasicConstraints : Gcr.CertificateExtension
    {
      /* No available fields */
    }

A certificate extension that can be used to identify the type of the certificate subject (whether it is a certificate authority or not).

Available since: 4.3.90

#### Ancestors

- GcrCertificateExtension
- GObject

#### Instance methods

###### gcr_certificate_extension_basic_constraints_get_path_len_constraint

Returns the maximum number of CAs that are allowed in the chain below this certificate.

###### gcr_certificate_extension_basic_constraints_is_ca

Returns whether the certificate us a certificate authority (CA) certificate or an end entity certificate.

##### Methods inherited from GcrCertificateExtension (4)

###### gcr_certificate_extension_get_description

Returns a user-displayable description of the OID that identifies the extension, if known.

unstable since: 4.3.90

###### gcr_certificate_extension_get_oid

Returns the OID that identifies the extension.

unstable since: 4.3.90

###### gcr_certificate_extension_get_value

Returns the raw value in bytes of the extension.

unstable since: 4.3.90

###### gcr_certificate_extension_is_critical

Returns wether the certificate extension is marked critical.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GcrCertificateExtension (3)

###### Gcr.CertificateExtension:critical

Whether this certificate is critical.

###### Gcr.CertificateExtension:oid

The Object Identifier (OID) that identifies the extension.

###### Gcr.CertificateExtension:value

The raw value in bytes of the extension.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GcrCertificateExtensionBasicConstraintsClass {
      GcrCertificateExtensionClass parent_class;

    }

No description available.

###### Class members

`parent_class: GcrCertificateExtensionClass`

  No description available.